1

Topic: Instalation problem IredAdmin-Pro

Hi, when start easy_install web.py Jinja2 python-ldap==2.3.11 netifaces

Using /usr/lib/python2.4/site-packages
Processing dependencies for Jinja2
Searching for python-ldap==2.3.11
Reading http://cheeseshop.python.org/pypi/python-ldap/
Reading http://www.python-ldap.org/
Reading http://cheeseshop.python.org/pypi/python-ldap/2.3.12
No local packages or download links found for python-ldap==2.3.11
error: Could not find suitable distribution for Requirement.parse('python-ldap==2.3.11')

Any idea?

Regard,
Mitko

2

Re: Instalation problem IredAdmin-Pro

If you're using RHEL/CentOS 5.x, you can simply install it with yum:

# yum install python-ldap

If you're using Debian/Ubuntu, you can install it via apt-get:

# apt-get install python-ldap

If you're using FreeBSD, you can install it via ports tree:

# cd /usr/ports/net/py-ldap2/
# make install clean

The purpose of install python-ldap via "easy_install" is to make sure you're using the newest version.

3

Re: Instalation problem IredAdmin-Pro

I using CentOS 5.5 an alredy installed python-ldap - "Package 1:python-ldap-2.3.9-1.ired.i386 already installed and latest version" but errors when tryng run " easy_install web.py Jinja2 python-ldap==2.3.11 netifaces"
"No local packages or download links found for python-ldap==2.3.11
error: Could not find suitable distribution for Requirement.parse('python-ldap==2.3.11')"
What i wrong?

Regards,
Mitko

4

Re: Instalation problem IredAdmin-Pro

You have python-ldap installed, so it's ok to remove it from 'easy_install' commnd smile

5

Re: Instalation problem IredAdmin-Pro

ZhangHuangbin wrote:

You have python-ldap installed, so it's ok to remove it from 'easy_install' commnd smile

What? Deinstall and reinstall it?  But i start https://mydomain.tld/iredadmin/ give me error - Internal server error 500

6

Re: Instalation problem IredAdmin-Pro

Sorry, i mean, just don't install it again:

# ---- HERE, remove "python-ldap==2.3.11" ----
# easy_install web.py Jinja2 netifaces

7

Re: Instalation problem IredAdmin-Pro

ZhangHuangbin wrote:

Sorry, i mean, just don't install it again:

# ---- HERE, remove "python-ldap==2.3.11" ----
# easy_install web.py Jinja2 netifaces

Thanks! Worked!

Regards,
Mitko
P.S. Coming soon to publish a my story with a nice finish. ;-)